#!/bin/bash
# 16) Configuración de la gestión de energia en Vitalinux 2.0 (deprecated). Ahora, tanto para vitalinux 2, como 3, usar 16.gestion_energia_y_salvapantallas.sh:

function configurar_energia_y_salvapantallas() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos el canal, parametro, valor y tipo para lanzar posteriormente el comando que lo configurará:
    # listado es del tipo: canal:param:valor[:tipo];canal:param:valor[:tipo];...
    # CANAL="$(jq -r ".${PARAM}[${CONT}].canal" <<<"${JSON}")"
    # PARAMETRO="$(jq -r ".${PARAM}[${CONT}].parametro" <<<"${JSON}")"
    # VALOR="$(jq -r ".${PARAM}[${CONT}].valor" <<<"${JSON}")"
    # TIPO="$(jq -r ".${PARAM}[${CONT}].tipo" <<<"${JSON}")"
    LISTADO="$(jq -r ".${PARAM}[${CONT}].listado" <<<"${JSON}")"
    EJECUTABLE="/usr/bin/vx-energia-y-salvapantallas"
    # IFS=";" LISTA_CONFIGURACIONES=( ${LISTADO} )
    mapfile -d ";" -t LISTA_CONFIGURACIONES <<< "${LISTADO}"
    for EL in "${LISTA_CONFIGURACIONES[@]}" ; do
        # CAda lista de configuraciones es del tipo: canal:param:valor[:tipo]
        # IFS=":" LISTA2=( ${EL} )
        mapfile -d ":" -t LISTA2 <<< "${EL}"
        if [[ -x "${EJECUTABLE}" ]] && "${EJECUTABLE}" "${LISTA2[@]}" ; then
            "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente: ${LISTA2[0]}: ${LISTA2[1]} =>  ${LISTA2[2]}/${LISTA2[3]:-"null"}"
        else
            "${echo_rojo}" "=> ¡¡Error!! Problemas al ejecutar el comando: ${LISTA2[*]}"
        fi
    done
}

"${echo_titulo}" "*  [[ Configuración de la Energía y Salvapantallas ... ]]  *"
PARAM="gestionenergiaysalvapantallas.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar Energia y Salvapantallas" "configurar_energia_y_salvapantallas"
